Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Compare Database
Option Explicit

' ** Access Toolbox Module **
' on 2017-02-28,
' @author: Olivier Massot
' V 1.0

' Timer Class Object

Private t0 As Single

Private Sub class_Initialize()
  t0 = Timer
End Sub

Public Sub start()
  t0 = Timer
End Sub

Public Function current() As Long
  valeur = 1000 * (Timer - t0)
End Function

Public Sub display()
  Debug.Print 1000 * (Timer - t0) & " ms."
End Sub